Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.soap.util
Interface Extension

All Known Subinterfaces:
  ByteArrayModifiers, DocumentModifiers, DriverIdentification, SchemaReporter, SubscriberTransport

public interface Extension

Allows you to extend the capabilities of the Identiy Manager driver for SOAP. Extension is not meant to be implmented directly. It defines the init() method that all interfaces that extend Extension have in common.

Method Summary
`Properties` | `init(String parameterString, Tracer tracer)` Initializes classes that implement Extension.

Method Detail

### init

    public Properties init(String parameterString,
                           Tracer tracer)
                    throws StatusException

  Initializes classes that implement Extension. It is invoked after the Extension is instantiated, which occurs soon after the driver starts up. The init() method is called only once.

  Parameters:
    `parameterString` - If the correct element is found in the driver settings, this string contains that text. Otherwise, it is null. You can control what is in the parameterString by setting the appropriate `Init Parameter` driver setting in iManager. For more information, see the driver documentation.
    `tracer` - The Tracer object that this extension can use to print output to the DSTrace utility.
  Returns:
    A Properties object for communicating with the driver shim. The Properties object should contain at least one key-value pair, namely the key `secure` and the value of either `true` or `false`. If this extension transports or stores data and does so without using encryption, you must use `false`. If your extension doesn't transport or store data, or does so securely, you can use `true`. This property might be used by future releases of Identity Manager to determine whether a driver is allowed access to sensitive data. Other properties might be defined in the future as well.
  Throws:
    `StatusException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD